Bug 11507 - Не компилируется код с gcc -m32
: Не компилируется код с gcc -m32
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 10042
  Show dependency tree
 
Reported: 2007-04-15 00:50 by
Modified: 2008-05-29 19:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-15 00:50:27
Насколько я смог понять, компиляция с -m32 требует
/usr/include/gnu/stubs-32.h
пока не нашёл решения, вот только обсуждение:
http://lists.altlinux.ru/pipermail/devel/2007-January/041041.html
------- Comment #1 From 2007-04-15 00:54:37 -------
Точнее сначала было это:
http://lists.altlinux.org/pipermail/devel/2006-October/037097.html
------- Comment #2 From 2007-04-15 01:07:09 -------
Петя, расскажи пожалуйста, чем у тебя всё закончилось с -m32 для gcc ?
------- Comment #3 From 2007-04-15 01:11:14 -------
2peet: не надо рассказывать, надо запушить изменения, чтобы их было видно.
------- Comment #4 From 2007-04-20 20:04:38 -------
http://git.altlinux.org/people/peet/packages/
------- Comment #5 From 2007-04-20 20:12:02 -------
Забыл только одну тонкость: когда я выложил это на ftp и подключил к apt
(ftp://81.222.141.7/), apt перестал ставить gcc. С этим багом я так и не могу
разобраться, поскольку не понимаю его природы; возможно, это случается при
наличии двух разных gcc4.1 (alt и моего одновременно) в подключенных
репозитариях. Имхо, Дима сможет на эту тему что-либо сказать скорее, чем я.

Вторая тонкость: для работы biarch пакеты, которые i586, нужно ставить _руками_
через rpm -ihv, именно -i. Apt+rpm тут вообще не подходит.

Список пакетов i586, которые надо поставить руками:

 * glibc-core
 * glibc-devel-libs
 * gcc4.1-devel
 * libgcc4.1

Вроде, ничего не забыл.
------- Comment #6 From 2008-01-11 23:31:48 -------
(In reply to comment #0)
> Насколько я смог понять, компиляция с -m32 требует
> /usr/include/gnu/stubs-32.h
> пока не нашёл решения, вот только обсуждение:
> http://lists.altlinux.ru/pipermail/devel/2007-January/041041.html

Was fixed in 2.5-alt5
------- Comment #7 From 2008-01-12 08:12:54 -------
Ух ты.. пожалуй это стоит отметить!

В branch эти изменения имеют возможность попасть, или не судьба ?
------- Comment #8 From 2008-05-29 18:19:16 -------
Компилируется.